Subject: Fwd: Re: Fwd: Re: LL vs. E2E ARQ [Re: When non TCP/IP literate people designcable modem systems]

From: Reiner Ludwig <[email-masked]>
Date: Mon, 28 Jun 1999 15:52:32 -0700

For those who - like me - only know about the "Old-Snoop". The latest
version of Snoop does NOT violate the e2e congestion control semantics as I
had written in an earlier mail.

///Reiner

>Date: Mon, 28 Jun 1999 18:47:44 -0400
>From: Hari Balakrishnan <[email-masked]>
>To: [email-masked]
>Subject: Re: Fwd: Re: LL vs. E2E ARQ [Re: When non TCP/IP literate people
designcable  modem systems]
>
>OK, OK, I read it. :)  It looks quite right to me.  Strictly speaking,
>one doesn't need "identical" agents on either side of wireless, but
>it isn't a big deal.
>
>Hari
> 
>X-Sender: [email-masked]
>X-Mailer: QUALCOMM Windows Eudora Pro Version 4.0.2 
>Date: Mon, 28 Jun 1999 15:36:36 -0700
>To: Hari Balakrishnan <[email-masked]>
>From: Reiner Ludwig <[email-masked]>
>Subject: Re: Fwd: Re: LL vs. E2E ARQ [Re: When non TCP/IP literate
>  people designcable  modem systems]
>Cc: [email-masked]
>
>Hi Hari,
>
>At 09:50 AM 6/25/99 , you wrote:
>>Reiner,
>>
>>Please look at Chapter 4 of my thesis where I talk about cellular
>>wireless transit links.  The only assumption I make is that path
>>across wireless is symmetric.  To get a shorter version, you may
>>want to look at http://inat.lcs.mit.edu/~hari/papers/globecom98/
>>where I have a secn on MH sender and on cellular wireless transit 
>>links.   
>>
>>Also, for the reasons I mentioned before, snoop doesn't violate
>>or otherwise compromise e2e congestion control.  I was careful   
>>about this and this was explicit in the design.
>
>OK. I got it know! 
>
>When looking at a Snoop/ELN-Agent as "a symmetric implementation using two
>proxies with essentially identical behaviour at each end of the link."
>(taken from the recent PILC PEP draft) then I can agree. In that case the
>combination of both Snoop/ELN agents on both sides of the link do NOT
>violate the e2e congestion control semantics. 
>
>I didn't know about that Globecom98 paper and always thought of Snoop as it
>used to be at some point: cache with DUPACK suppression for downlink
>problems + NACK for uplink problems. I.e. without the careful use of the
>ELN option for (certain) DUPACKs. That, you must agree, had the problems I
>mentioned.
>
>Great, now I feel better and will change my paragraph on Snoop accordingly.
>As I said, I would hate to write crap about other people's work.
>
>Let me know if I really got it right now so that I can forward this to the
>PILC list. I think many people only remember the "Old-Snoop".
>
>///Reiner
>